Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Slots | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Properties | List of all members
TrafficTableDialog Class Referenceabstract
Inheritance diagram for TrafficTableDialog:

## Signals
void | filterAction (QString filter, FilterAction::Action action, FilterAction::ActionType type)
void | openFollowStreamDialog (follow_type_t type)
void | openTcpStreamGraph (int graph_type)

## Public Member Functions
| TrafficTableDialog (QWidget &parent, CaptureFile &cf, const char *filter=NULL, const QString &table_name=tr("Unknown"))
bool | absoluteStartTime ()
bool | nanosecondTimestamps ()
Public Member Functions inherited from WiresharkDialog
| WiresharkDialog (QWidget &parent, CaptureFile &capture_file)
void | beginRetapPackets ()
| Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called. More...
virtual void | endRetapPackets ()
| Mark the end of a code block that retaps packets. If the user has closed the dialog it will be desroyed at this point. More...
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *, Qt::WindowFlags f=0)

## Protected Slots
virtual void | currentTabChanged ()
void | updateWidgets ()
Protected Slots inherited from WiresharkDialog
void | captureEvent (CaptureEvent)

## Protected Member Functions
const QList< int > | defaultProtos () const
void | fillTypeMenu (QList< int > &enabled_protos)
virtual bool | addTrafficTable (register_ct_t *)
void | addProgressFrame (QObject *parent)
QDialogButtonBox * | buttonBox () const
QTabWidget * | trafficTableTabWidget () const
QCheckBox * | displayFilterCheckBox () const
QCheckBox * | nameResolutionCheckBox () const
QCheckBox * | absoluteTimeCheckBox () const
QPushButton * | enabledTypesPushButton () const
Protected Member Functions inherited from WiresharkDialog
virtual void | keyPressEvent (QKeyEvent *event)
virtual void | accept ()
virtual void | reject ()
void | setWindowSubtitle (const QString &subtitle)
| Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title. More...
const QString & | windowSubtitle ()
virtual void | updateWidgets ()
bool | registerTapListener (const char *tap_name, void *tap_data, const char *filter, guint flags, void(*tap_reset)(void *tapdata), gboolean(*tap_packet)(void *tapdata, struct _packet_info *pinfo, struct epan_dissect *edt, const void *data), void(*tap_draw)(void *tap_data))
| Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners. More...
virtual void | removeTapListeners ()
| Remove all tap listeners registered via registerTapListener.
bool | dialogClosed ()
| Check to see if the user has closed (and not minimized) the dialog. More...
virtual void | captureFileClosing ()
| Called when the capture file is about to close. This can be used to enable or disable widgets according to the state of file_closed_.
virtual void | captureFileClosed ()
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())

## Static Protected Member Functions
static gboolean | fillTypeMenuFunc (const void *key, void *value, void *userdata)

## Protected Attributes
Ui::TrafficTableDialog * | ui
CaptureFile & | cap_file_
bool | file_closed_
QString | filter_
QMenu | traffic_type_menu_
QPushButton * | copy_bt_
QMap< int, TrafficTableTreeWidget * > | proto_id_to_tree_
Protected Attributes inherited from WiresharkDialog
CaptureFile & | cap_file_
bool | file_closed_
| true if the file has been closed, false otherwise.

## Properties
bool | absolute_start_time
bool | nanosecond_timestamps

## Constructor & Destructor Documentation

TrafficTableDialog::TrafficTableDialog | ( | QWidget & | parent,
|  | CaptureFile & | cf,
|  | const char * | filter = `NULL`,
|  | const QString & | table_name = `tr("Unknown")`
| ) |  |
| explicit

Create a new conversation window.

Parameters

  parent | Parent widget.
  cf | Capture file. No statistics will be calculated if this is NULL.
  filter | Display filter to apply.
  table_name | If valid, add this protocol and bring it to the front.

## Member Function Documentation

bool TrafficTableDialog::absoluteStartTime | ( |  | ) |

Use absolute start times.

Returns
  true if the "Absolute start time" checkbox is checked, false otherwise.

bool TrafficTableDialog::nanosecondTimestamps | ( |  | ) |
| inline

Use nanosecond timestamps.

Returns
  true if the current capture file uses nanosecond timestamps, false otherwise.

The documentation for this class was generated from the following files:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/traffic_table_dialog.h
- ui/qt/moc_traffic_table_dialog.cpp
- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/traffic_table_dialog.cpp